CONMAND(8)

NAME
conmand - ConMan daemon

SYNOPSIS
conmand [OPTION]...

DESCRIPTION
conmand is the daemon responsible for managing consoles defined by its configuration file as well as listening for connections from clients.

OPTIONS

-c file
    Specify a configuration file, overriding the default location [/etc/conman.conf].

-F  Run the daemon in the foreground.

-h  Display a summary of the command-line options.

-k  Send a SIGTERM to the conmand process associated with the specified configuration, thereby killing the daemon. Returns 0 if the daemon was successfully signaled; otherwise, returns 1.

-L  Display license information.

-p port
    Specify the port on which conmand will listen for clients, overriding both the default port [7890] and the port specified in the configuration file.

-P file
    Specify the PID file for storing the daemon's PID, overriding the "server pidfile" directive in the configuration file.

-q  Displays the PID of the conmand process associated with the specified configuration if it appears active. Returns 0 if the configuration appears active; otherwise, returns 1.

-r  Send a SIGHUP to the conmand process associated with the specified configuration, thereby re-opening both that daemon's log file and individual console log files. Returns 0 if the daemon was successfully signaled; otherwise, returns 1.

-v  Enable verbose mode.

-V  Display version information.

-z  Truncate both the daemon's log file and individual console log files at start-up.

SIGNALS

SIGHUP
    Close and re-open both the daemon's log file and the individual console log files. Conversion specifiers within filenames will be re-evaluated. This is useful for logrotate configurations.

SIGTERM
    Terminate the daemon.

SECURITY
Connections to the server are not authenticated, and communications between client and server are not encrypted. Until this is addressed in a future release, the recommendation is to bind the server's listen socket to the loopback address (by specifying "server loopback=on" in conman.conf) and restrict access to the server host.

NOTES
Log messages are sent to standard-error until after the configuration file has been read, at which time future messages are discarded unless either the logfile or syslog keyword has been specified (see conman.conf(5)).

If the configuration file is modified while the daemon is running and a pidfile was not originally specified, the '-k' and '-r' options may be unable to identify the daemon process; consequently, the appropriate signal may need to be sent to the daemon manually.

The number of consoles that can be simultaneously managed is limited by the maximum number of file descriptors a process can have open. The daemon sets its "nofile" soft limit to the maximum/hard limit. If you are encountering "too many open files" errors, you may need to increase the "nofile" hard limit.

AUTHOR
Chris Dunlap <cdunlap@llnl.gov>

COPYRIGHT
Copyright (C) 2007-2022 Lawrence Livermore National Security, LLC.
Copyright (C) 2001-2007 The Regents of the University of California.

LICENSE
ConMan is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

SEE ALSO
conman(1), conman.conf(5).

https://dun.github.io/conman/